Gecode::Gist::Statistics Class Reference

Statistics about the search tree More...

`#include <spacenode.hh>`

## Public Member Functions

| Statistics (void)
| Constructor.
Public Member Functions inherited from Gecode::StatusStatistics
| StatusStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
StatusStatistics | operator+ (const StatusStatistics &s)
| Return sum with s.
StatusStatistics & | operator+= (const StatusStatistics &s)
| Increment by statistics s.

## Public Attributes

int | solutions
| Number of solutions.
int | failures
| Number of failures.
int | choices
| Number of choice nodes.
int | undetermined
| Number of open, undetermined nodes.
int | maxDepth
| Maximum depth of the tree.
Public Attributes inherited from Gecode::StatusStatistics
unsigned long int | propagate
| Number of propagator executions.

## Detailed Description

Statistics about the search tree

Definition at line 59 of file spacenode.hh.

## Constructor & Destructor Documentation

## Statistics()

Gecode::Gist::Statistics::Statistics | ( | void |  | ) |

inline

Constructor.

Definition at line 73 of file spacenode.hh.

## Member Data Documentation

## solutions

int Gecode::Gist::Statistics::solutions

Number of solutions.

Definition at line 62 of file spacenode.hh.

## failures

int Gecode::Gist::Statistics::failures

Number of failures.

Definition at line 64 of file spacenode.hh.

## choices

int Gecode::Gist::Statistics::choices

Number of choice nodes.

Definition at line 66 of file spacenode.hh.

## undetermined

int Gecode::Gist::Statistics::undetermined

Number of open, undetermined nodes.

Definition at line 68 of file spacenode.hh.

## maxDepth

int Gecode::Gist::Statistics::maxDepth

Maximum depth of the tree.

Definition at line 70 of file spacenode.hh.

The documentation for this class was generated from the following file:

- gecode/gist/spacenode.hh